<?php

  include 'koneksi.php';
   include "phpmailer/classes/class.phpmailer.php";
  
   //set email config
  $mail = new PHPMailer;

$mail->IsSMTP();
$mail->SMTPSecure = 'tls';
$mail->Host = "srv130.niagahoster.com"; //hostname masing-masing provider email
$mail->SMTPDebug = 0;
$mail->Port = 587;
$mail->SMTPAuth = true;
$mail->Username = "noreply@undaris.info"; //user email
$mail->Password = "undarissemarang"; //password email
  

 // Secret Key ini kita ambil dari halaman Google reCaptcha
$secret_key = "6LeE46wpAAAAAMxdULPcGBfXmqe1i-w98J8Ol8U0";

// Check if reCAPTCHA response is present
$recaptcha_response = $_POST['g-recaptcha-response'] ?? '';

// If the reCAPTCHA response is empty, return an error message immediately
if (empty($recaptcha_response)) {
    echo '<script>alert("Captcha Tidak Valid.! Silahkan coba lagi..");window.location.replace("index.php?m=daftar");</script>';
    exit();
}

// Menggunakan cURL untuk melakukan permintaan ke Google reCAPTCHA
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.google.com/recaptcha/api/siteverify');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query(['secret' => $secret_key, 'response' => $recaptcha_response]));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$verify = curl_exec($ch);
curl_close($ch);

$response = json_decode($verify);
 
 if($response->success){ 
// cek apakah tombol daftar sudah diklik atau blum?
if(isset($_POST['daftar'])){

    // ambil data dari formulir
    $nama_kampus = $_POST['nama_kampus'];
    $jurusan = $_POST['jurusan'];
       $nama = addslashes(trim($_POST['nama']));
     $jk = $_POST['jk'];
    $alamat = $_POST['alamat'];
    $tempat_lahir = $_POST['tempat_lahir'];
    $tanggal_lahir = $_POST['tanggal_lahir'];
    $no_wa = $_POST['no_wa'];
    $email = $_POST['email'];
    $lulusan = $_POST['lulusan'];
    $tgl_daftar = $_POST['tgl_daftar'];

    // buat query
 
    $sql="INSERT INTO tb_po SET nama_kampus='$nama_kampus',jurusan='$jurusan',nama='$nama',jk='$jk',alamat='$alamat',tempat_lahir='$tempat_lahir',tanggal_lahir='$tanggal_lahir',no_wa='$no_wa',email='$email',lulusan='$lulusan', tgl_daftar='$tgl_daftar' ";
    $query = mysqli_query($conn, $sql);
    
     //Send email mesasage
     $to = $_POST['email'];
    $nama = addslashes(trim($_POST['nama']));
    $jk = ($_POST['jk']=='laki-laki') ? 'Laki-laki' : 'Perempuan';
   
    $subject = "Konfirmasi Pendaftaran Universitas Darul Ulum Islamic Centre Sudirman";
 
    $message = "<p><b>Kepada Yth Calon Mahasiswa di Tempat,</b></p>\n";
    $message .= "<p>Terima kasih Anda telah melakukan Pendaftaran Online di situs kami dengan data berikut.</p>\n";

    $message .= "<p>
Perguruan Tinggi : <b>Universitas Darul Ulum Islamic Centre Sudirman</b><br>
Jurusan : $_POST[jurusan] <br>
Wawancara Via : Telepon (di $_POST[no_wa])</p>\n";
    
    $message .= "<p><b><u>DATA PRIBADI</b></u><br>
Nama : $_POST[nama]<br>
Jenis Kelamin : ".$jk."<br>

Tanggal Lahir : ".date('d-m-Y',strtotime($_POST['tanggal_lahir']))."<br>\n

Email : $_POST[email]</p>\n";


   $message .= "<p><b><u>DATA PENDIDIKAN</u></b><br>
Asal Lulusan : $_POST[lulusan]<br></p>";
    $message .= '<hr><p>Konfirmasi akan dilaksanakan setelah anda membayar
    Biaya Pendaftaran S1 : Rp.200.000<br/>
    Atau melalui transfer Biaya Pendaftaran ke salah satu rekening :
    </p>';
  
    $message .= '<ul>
    <li> Bank BNI No Rekening : <b>8282823875 an Edukasi Indonesia Jaya</b></li>
</ul>';
    $message .= '<p>Cara 1:</p>';
    $message .= '<ul>
                     <li>Simpan baik-baik bukti transfer tersebut / foto.</li>
                     <li>Bisa diserahkan ke petugas pendaftaran dikampus</li>
                    </ul>';
    $message .= '<p>Cara 2</p>';
    $message .= '<p>Kirim melalui salah satu cara berikut:</p>';
    $message .= '<ul>
                    <li>SMS/WA ke <a target="_blank" href="https://api.whatsapp.com/send?phone=628176374994&text=Halo%20Admin%20Saya%20Sudah%20Daftar%20Online%20di%20Undaris">0817-6374-994</a></li>
                    <li>Kirim melalui Kontak Kami di situs ini</li>
                </ul>';

    $message .= "<p>Setelah kami memperoleh konfirmasi pembayaran dari Anda maka kami akan melakukan \"<strong>wawancara</strong>\" melalui telepon ke $_POST[no_wa] (sesuai pilihan Anda)</p>\n";
    
    $header = "MIME-Version: 1.0 \r\n";
$header .= "Content-type: text/html; charset=iso-8859-1 \r\n";
$header .= "From:admin@stembibandung.info \r\n";

    // apakah query simpan berhasil
    if( $query ) {
        
        
    $mail->SetFrom("noreply@undaris.info", "Universitas Darul Ulum Islamic Centre Sudirman"); //set email pengirim
	$mail->Subject = $subject; //subyek email
	$mail->AddAddress($to,$nama); //tujuan email
	$mail->MsgHTML($message);
        $mail->Send();
        
        
        // kalau berhasil alihkan ke halaman index.php dengan status=sukses
  echo ("<script LANGUAGE='JavaScript'>
    window.alert('Pendaftaran Berhasil');
    window.location.href='success.php';
    </script>");
    
    } else {
        // kalau gagal alihkan ke halaman indek.php dengan status=gagal
         window.alert('Pendaftaran Gagal');
        header('Location:failed.php');
    }


} else {
echo '<script>alert("GAGAl")</script>';

}
     
 }else{ // Jika captcha tidak valid
	echo '<script>alert("Captha Tidak Valid.! Silahkan coba lagi..");window.location.replace("index.php");</script>';
}

